import { world, system } from "@minecraft/server";
export default function growTreeGiantCherry(location, fruit, playerplaced, dimension) {
  const overworld = world.getDimension("overworld");
  const rotations = ["0_degrees", "180_degrees", "270_degrees", "90_degrees"];
  const offsets = [0, 0, 1, 2];
  var treernd, randomIndex, fruitParts, fruitName;
  try {
    if (location != undefined) {
      dimension.runCommand(`setblock ${location.x} ${location.y} ${location.z} air replace`);
      randomIndex = Math.floor(Math.random() * 4.0);
      if (playerplaced) {
        treernd = Math.floor(Math.random() * 4.0);
      } else {
        treernd = Math.floor(Math.random() * 4.0);
      }
      fruitParts = fruit.split(":");
      fruitName = fruitParts.length > 1 ? fruitParts[1].split("_")[0] : fruitParts[0];
      if (treernd == 0) {
        dimension.runCommand(
          `structure load "float_fc/vanilla_cherry_tree_35x35_1" ${location.x - 17} ${location.y - 3} ${
            location.z - 17
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      } else if (treernd == 1) {
        dimension.runCommand(
          `structure load "float_fc/vanilla_cherry_tree_35x35_3" ${location.x - 17} ${location.y - 3} ${
            location.z - 17
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      } else if (treernd == 2) {
        dimension.runCommand(
          `structure load "float_fc/vanilla_cherry_tree_40x40_2" ${location.x - 20} ${location.y - 3} ${
            location.z - 20
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      } else {
        dimension.runCommand(
          `structure load "float_fc/vanilla_cherry_tree_40x40_4" ${location.x - 20} ${location.y - 3} ${
            location.z - 20
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      }
    }
  } catch (e) {}
  treernd = randomIndex = fruitParts = fruitName = undefined;
  return null;
}
